(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 11.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     20170,        696]
NotebookOptionsPosition[     15751,        556]
NotebookOutlinePosition[     17924,        615]
CellTagsIndexPosition[     17839,        610]
WindowTitle->$DefaultUnitSet
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[GridBox[{
   {Cell["AUTOMATIC UNITS SYMBOL", "PacletNameCell"], Cell[TextData[{
     Cell[BoxData[
      ActionMenuBox[
       FrameBox[
        InterpretationBox[Cell[TextData[{
          "See Also",
          StyleBox[" \[FilledDownTriangle]", "AnchorBarArrow",
           StripOnInput->False]
         }]],
         TextCell[
          Row[{"See Also", 
            Style[" \[FilledDownTriangle]", "AnchorBarArrow"]}]]],
        StripOnInput->False], {"\<\"UnitSet\"\>":>Documentation`HelpLookup[
       "paclet:AutomaticUnits/ref/UnitSet"], "\<\"Unit\"\>":>
       Documentation`HelpLookup["paclet:AutomaticUnits/ref/Unit"]},
       Appearance->None,
       MenuAppearance->Automatic,
       MenuStyle->"SeeAlso"]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox[
        InterpretationBox[Cell[TextData[{
          "Related Guides",
          StyleBox[" \[FilledDownTriangle]", "AnchorBarArrow",
           StripOnInput->False]
         }]],
         TextCell[
          Row[{"Related Guides", 
            Style[" \[FilledDownTriangle]", "AnchorBarArrow"]}]]],
        StripOnInput->False], {"\<\"Automatic unit conversion\"\>":>
       Documentation`HelpLookup["paclet:AutomaticUnits/guide/AutomaticUnits"]},
       Appearance->None,
       MenuAppearance->Automatic,
       MenuStyle->"MoreAbout"]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox[
        InterpretationBox[Cell[TextData[{
          "URL",
          StyleBox[" \[FilledDownTriangle]", "AnchorBarArrow",
           StripOnInput->False]
         }]],
         TextCell[
          Row[{"URL", 
            Style[" \[FilledDownTriangle]", "AnchorBarArrow"]}]]],
        StripOnInput->False], {"\<\"AutomaticUnits/ref/$DefaultUnitSet\"\>":>
       None, "\<\"Copy Wolfram Documentation Center URL\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell["AutomaticUnits/ref/$DefaultUnitSet"]}, Visible -> False]]; 
        SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; Null], 
       Delimiter, "\<\"Copy web URL\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell[
              BoxData[
               MakeBoxes[
                Hyperlink[
                "http://reference.wolfram.com/language/AutomaticUnits/ref/$\
DefaultUnitSet.html"], StandardForm]], "Input", TextClipboardType -> 
              "PlainText"]}, Visible -> False]]; 
        SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; 
        Null], "\<\"Go to web URL\"\>":>FrontEndExecute[{
         NotebookLocate[{
           URL[
            StringJoin[
             If[
              TrueQ[DocumentationBuild`Make`Private`wsmlinkQ$8749], 
              "http://reference.wolfram.com/system-modeler/", 
              "http://reference.wolfram.com/language/"], 
             "AutomaticUnits/ref/$DefaultUnitSet", ".html"]], None}]}]},
       Appearance->None,
       MenuAppearance->Automatic,
       MenuStyle->"URLMenu"]],
      LineSpacing->{1.4, 0}]
    }], "AnchorBar"]}
  }]], "AnchorBarGrid",
 CellID->1],

Cell[TextData[{
 Cell["$DefaultUnitSet", "ObjectName"],
 Cell[BoxData[
  InterpretationBox[
   StyleBox[
    GraphicsBox[{},
     BaselinePosition->Baseline,
     ImageSize->{8, 0}],
    CacheGraphics->False],
   Spacer[8]]]],
 Cell[BoxData[""], "ObjectNameTranslation"]
}], "ObjectNameGrid"],

Cell[CellGroupData[{

Cell[BoxData[GridBox[{
   {"", Cell[TextData[{
     Cell[BoxData["$DefaultUnitSet"], "InlineFormula"],
     "\[LineSeparator]is the name of the UnitSet from which automatic unit \
choices are made"
    }]]}
  }]], "Usage",
 GridBoxOptions->{
 GridBoxBackground->{
  "Columns" -> {{None}}, "ColumnsIndexed" -> {}, "Rows" -> {{None}}, 
   "RowsIndexed" -> {}}},
 CellID->982511436],

Cell[CellGroupData[{

Cell[TextData[Cell[BoxData[
 ButtonBox[Cell[TextData[{
   Cell[BoxData[
    InterpretationBox[
     StyleBox[
      GraphicsBox[{},
       BaselinePosition->Baseline,
       ImageSize->{6, 0}],
      CacheGraphics->False],
     Spacer[6]]]],
   "Details"
  }], "NotesFrameText"],
  Appearance->{Automatic, None},
  BaseStyle->None,
  ButtonFunction:>(FrontEndExecute[{
     FrontEnd`SelectionMove[
      FrontEnd`SelectedNotebook[], All, ButtonCell], 
     FrontEndToken["OpenCloseGroup"], 
     FrontEnd`SelectionMove[
      FrontEnd`SelectedNotebook[], After, CellContents]}]& ),
  Evaluator->None,
  Method->"Preemptive"]]]], "NotesSection",
 WholeCellGroupOpener->True,
 CellGroupingRules->{"SectionGrouping", 50},
 CellID->1036349440],

Cell["", "SectionHeaderSpacer"],

Cell["\<\
Change the value of $DefaultUnitSet to control the units returned when \
different units are combined.\
\>", "Notes",
 CellID->1067943069],

Cell["\<\
The value of $DefaultUnitSet can also be changed using the AutomaticUnits \
palette.\
\>", "Notes",
 CellID->726785537],

Cell["", "SectionFooterSpacer"]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  InterpretationBox[
   StyleBox[
    GraphicsBox[{},
     BaselinePosition->Baseline,
     ImageSize->{6, 0}],
    CacheGraphics->False],
   Spacer[6]]]],
 "Examples",
 "\[NonBreakingSpace]\[NonBreakingSpace]",
 Cell["(1)", "ExampleCount"]
}], "PrimaryExamplesSection",
 WholeCellGroupOpener->True,
 CellTags->"PrimaryExamplesSection",
 CellID->1832660910],

Cell[CellGroupData[{

Cell[TextData[{
 "Basic Examples",
 "\[NonBreakingSpace]\[NonBreakingSpace]",
 Cell["(1)", "ExampleCount"]
}], "ExampleSection", "ExampleSection",
 WholeCellGroupOpener->True,
 CellID->173965449],

Cell["When the package is first loaded, the default unit set is SI", "Notes",
 CellID->2930854],

Cell[BoxData[
 RowBox[{"<<", "AutomaticUnits`"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->789093595],

Cell[CellGroupData[{

Cell[BoxData["$DefaultUnitSet"], "Input",
 CellLabel->"In[2]:=",
 CellID->478580459],

Cell[BoxData["\<\"SI\"\>"], "Output",
 ImageSize->{18, 16},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[2]=",
 CellID->591425211]
}, Open  ]],

Cell["\<\
This means that when dimensionally compatible units must be converted to a \
common unit, the common unit will be found from UnitSet[\"SI\"]\
\>", "Notes",
 CellID->453409939],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"UnitSet", "[", "\"\<SI\>\"", "]"}]], "Input",
 CellLabel->"In[3]:=",
 CellID->229670942],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   InterpretationBox["Meter",
    AutomaticUnits`Unit[1, "Meter"],
    AutoDelete->True], ",", 
   InterpretationBox[
    SuperscriptBox["Meter", "2"],
    AutomaticUnits`Unit[1, "Meter"^2],
    AutoDelete->True], ",", 
   InterpretationBox[
    SuperscriptBox["Meter", "3"],
    AutomaticUnits`Unit[1, "Meter"^3],
    AutoDelete->True], ",", 
   InterpretationBox[
    SuperscriptBox["Meter", 
     RowBox[{"-", "1"}]],
    AutomaticUnits`Unit[1, "Meter"^(-1)],
    AutoDelete->True], ",", 
   InterpretationBox["Kilogram",
    AutomaticUnits`Unit[1, "Kilogram"],
    AutoDelete->True], ",", 
   InterpretationBox["Second",
    AutomaticUnits`Unit[1, "Second"],
    AutoDelete->True], ",", 
   InterpretationBox["Hertz",
    AutomaticUnits`Unit[1, "Hertz"],
    AutoDelete->True], ",", 
   InterpretationBox[
    RowBox[{"Meter", 
     SuperscriptBox["Second", 
      RowBox[{"-", "1"}]]}],
    AutomaticUnits`Unit[1, "Meter"/"Second"],
    AutoDelete->True], ",", 
   InterpretationBox["Newton",
    AutomaticUnits`Unit[1, "Newton"],
    AutoDelete->True], ",", 
   InterpretationBox["Joule",
    AutomaticUnits`Unit[1, "Joule"],
    AutoDelete->True], ",", 
   InterpretationBox["Watt",
    AutomaticUnits`Unit[1, "Watt"],
    AutoDelete->True], ",", 
   InterpretationBox["Pascal",
    AutomaticUnits`Unit[1, "Pascal"],
    AutoDelete->True], ",", 
   InterpretationBox[
    RowBox[{"Pascal", " ", "Second"}],
    AutomaticUnits`Unit[1, "Pascal" "Second"],
    AutoDelete->True], ",", 
   InterpretationBox["Coulomb",
    AutomaticUnits`Unit[1, "Coulomb"],
    AutoDelete->True], ",", 
   InterpretationBox[
    RowBox[{"Coulomb", 
     SuperscriptBox["Kilogram", 
      RowBox[{"-", "1"}]]}],
    AutomaticUnits`Unit[1, "Coulomb"/"Kilogram"],
    AutoDelete->True], ",", 
   InterpretationBox["Ampere",
    AutomaticUnits`Unit[1, "Ampere"],
    AutoDelete->True], ",", 
   InterpretationBox["Volt",
    AutomaticUnits`Unit[1, "Volt"],
    AutoDelete->True], ",", 
   InterpretationBox[
    RowBox[{"Volt", 
     SuperscriptBox["Meter", 
      RowBox[{"-", "1"}]]}],
    AutomaticUnits`Unit[1, "Meter"^(-1) "Volt"],
    AutoDelete->True], ",", 
   InterpretationBox["Weber",
    AutomaticUnits`Unit[1, "Weber"],
    AutoDelete->True], ",", 
   InterpretationBox["Tesla",
    AutomaticUnits`Unit[1, "Tesla"],
    AutoDelete->True], ",", 
   InterpretationBox[
    RowBox[{"Ampere", 
     SuperscriptBox["Meter", 
      RowBox[{"-", "1"}]]}],
    AutomaticUnits`Unit[1, "Ampere"/"Meter"],
    AutoDelete->True], ",", 
   InterpretationBox[
    RowBox[{"Ampere", 
     SuperscriptBox["Meter", "2"]}],
    AutomaticUnits`Unit[1, "Ampere" "Meter"^2],
    AutoDelete->True], ",", 
   InterpretationBox["Ohm",
    AutomaticUnits`Unit[1, "Ohm"],
    AutoDelete->True], ",", 
   InterpretationBox["Siemens",
    AutomaticUnits`Unit[1, "Siemens"],
    AutoDelete->True], ",", 
   InterpretationBox[
    RowBox[{"Meter", " ", "Ohm"}],
    AutomaticUnits`Unit[1, "Meter" "Ohm"],
    AutoDelete->True], ",", 
   InterpretationBox["Farad",
    AutomaticUnits`Unit[1, "Farad"],
    AutoDelete->True], ",", 
   InterpretationBox["Henry",
    AutomaticUnits`Unit[1, "Henry"],
    AutoDelete->True], ",", 
   InterpretationBox["Radian",
    AutomaticUnits`Unit[1, "Radian"],
    AutoDelete->True], ",", 
   InterpretationBox["Steradian",
    AutomaticUnits`Unit[1, "Steradian"],
    AutoDelete->True], ",", 
   InterpretationBox["Kelvin",
    AutomaticUnits`Unit[1, "Kelvin"],
    AutoDelete->True], ",", 
   InterpretationBox[
    RowBox[{"Kelvin", 
     SuperscriptBox["Meter", "2"], 
     SuperscriptBox["Watt", 
      RowBox[{"-", "1"}]]}],
    AutomaticUnits`Unit[1, "Kelvin" "Meter"^2/"Watt"],
    AutoDelete->True], ",", 
   InterpretationBox["Bit",
    AutomaticUnits`Unit[1, "Bit"],
    AutoDelete->True], ",", 
   InterpretationBox["Candela",
    AutomaticUnits`Unit[1, "Candela"],
    AutoDelete->True], ",", 
   InterpretationBox["Lumen",
    AutomaticUnits`Unit[1, "Lumen"],
    AutoDelete->True], ",", 
   InterpretationBox["Lux",
    AutomaticUnits`Unit[1, "Lux"],
    AutoDelete->True], ",", 
   InterpretationBox["GrayDose",
    AutomaticUnits`Unit[1, "GrayDose"],
    AutoDelete->True], ",", 
   InterpretationBox[
    RowBox[{"Joule", 
     SuperscriptBox["Tesla", 
      RowBox[{"-", "1"}]]}],
    AutomaticUnits`Unit[1, "Joule"/"Tesla"],
    AutoDelete->True], ",", 
   InterpretationBox[
    RowBox[{
     SuperscriptBox["Pascal", 
      RowBox[{"-", "1"}]], 
     SuperscriptBox["Second", 
      RowBox[{"-", "1"}]]}],
    AutomaticUnits`Unit[1, "Pascal"^(-1)/"Second"],
    AutoDelete->True]}], "}"}]], "Output",
 ImageSize->{546, 89},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[3]=",
 CellID->231348154]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"50000", " ", "Foot"}], "+", 
  RowBox[{"300.", " ", "Meter"}]}]], "Input",
 CellLabel->"In[4]:=",
 CellID->37047187],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"15540.`", " ", "Meter"}],
  AutomaticUnits`Unit[15540., "Meter"],
  AutoDelete->True]], "Output",
 ImageSize->{88, 16},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[4]=",
 CellID->111720868]
}, Open  ]],

Cell["\<\
By changing the value of $DefaultUnitSet, you can change the choice of \
returned unit.\
\>", "Notes",
 CellID->76099760],

Cell[BoxData[
 RowBox[{
  RowBox[{"$DefaultUnitSet", "=", "\"\<PrefixedSI\>\""}], ";"}]], "Input",
 CellLabel->"In[5]:=",
 CellID->453913324],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"50000", " ", "Foot"}], "+", 
  RowBox[{"300.", " ", "Meter"}]}]], "Input",
 CellLabel->"In[6]:=",
 CellID->370364024],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"15.540000000000001`", " ", "Kilometer"}],
  AutomaticUnits`Unit[15.540000000000001`, "Kilometer"],
  AutoDelete->True]], "Output",
 ImageSize->{108, 16},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[6]=",
 CellID->148554050]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"$DefaultUnitSet", "=", "\"\<USCustomary\>\""}], ";"}]], "Input",
 CellLabel->"In[7]:=",
 CellID->107243046],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"50000", " ", "Foot"}], "+", 
  RowBox[{"300.", " ", "Meter"}]}]], "Input",
 CellLabel->"In[8]:=",
 CellID->60215506],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"3.2186963383838383`", " ", "League"}],
  AutomaticUnits`Unit[3.2186963383838383`, "League"],
  AutoDelete->True]], "Output",
 ImageSize->{93, 16},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[8]=",
 CellID->156619483]
}, Open  ]]
}, Open  ]],

Cell["", "SectionFooterSpacer"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  InterpretationBox[
   StyleBox[
    GraphicsBox[{},
     BaselinePosition->Baseline,
     ImageSize->{6, 0}],
    CacheGraphics->False],
   Spacer[6]]]],
 "See Also"
}], "SeeAlsoSection",
 WholeCellGroupOpener->True,
 CellID->1255426704],

Cell[TextData[{
 Cell[BoxData[
  TemplateBox[{Cell[
     TextData["UnitSet"]],"paclet:AutomaticUnits/ref/UnitSet"},
   "RefLink",
   BaseStyle->{"InlineFormula", FontFamily -> "Verdana"}]], "InlineFormula"],
 "\[NonBreakingSpace]",
 StyleBox["\[MediumSpace]\[FilledVerySmallSquare]\[MediumSpace]", 
  "InlineSeparator"],
 " ",
 Cell[BoxData[
  TemplateBox[{Cell[
     TextData["Unit"]],"paclet:AutomaticUnits/ref/Unit"},
   "RefLink",
   BaseStyle->{"InlineFormula", FontFamily -> "Verdana"}]], "InlineFormula"]
}], "SeeAlso",
 CellID->21912]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  InterpretationBox[
   StyleBox[
    GraphicsBox[{},
     BaselinePosition->Baseline,
     ImageSize->{6, 0}],
    CacheGraphics->False],
   Spacer[6]]]],
 "Related Guides"
}], "MoreAboutSection",
 WholeCellGroupOpener->True,
 CellID->38303248],

Cell["", "SectionHeaderSpacer"],

Cell[BoxData[
 TemplateBox[{Cell[
    TextData["Automatic unit conversion"]],
   "paclet:AutomaticUnits/guide/AutomaticUnits"},
  "RefLink",
  BaseStyle->"MoreAbout"]], "MoreAbout",
 CellID->1112057776]
}, Open  ]],

Cell[" ", "FooterCell"]
},
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{725, 750},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
WindowTitle->"$DefaultUnitSet",
TaggingRules->{
 "ModificationHighlight" -> False, "ColorType" -> "SymbolColor", "LinkTrails" -> 
  GridBox[{{
      RowBox[{
        ButtonBox[
        "Automatic unit conversion", ButtonData -> 
         "paclet:AutomaticUnits/guide/AutomaticUnits", 
         BaseStyle -> {"Link", "DockedLinkTrail"}]}]}}, ColumnAlignments -> 
    Left], "HasOptions" -> False, "ExampleCounter" -> 1, "NeedPlatMsgIn" -> 
  None, "RootCaptions" -> "", 
  "Metadata" -> {
   "built" -> "{2017, 1, 30, 12, 0, 29.604798}", 
    "history" -> {"0.0", "", "", ""}, "context" -> "AutomaticUnits`", 
    "keywords" -> {}, "specialkeywords" -> {}, 
    "tutorialcollectionlinks" -> {}, "index" -> True, "label" -> 
    "Automatic Units Symbol", "language" -> "en", "paclet" -> 
    "AutomaticUnits", "status" -> "None", "summary" -> 
    "$DefaultUnitSet is the name of the UnitSet from which automatic unit \
choices are made", "synonyms" -> {}, "tabletags" -> {}, "title" -> 
    "$DefaultUnitSet", "titlemodifier" -> "", "windowtitle" -> 
    "$DefaultUnitSet", "type" -> "Symbol", "uri" -> 
    "AutomaticUnits/ref/$DefaultUnitSet"}, "SearchTextTranslated" -> ""},
CellContext->"Global`",
FrontEndVersion->"11.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (September \
21, 2016)",
StyleDefinitions->Notebook[{
   Cell[
    StyleData[
    StyleDefinitions -> FrontEnd`FileName[{"Wolfram"}, "Reference.nb"]]], 
   Cell[
    StyleData["Input"], CellContext -> "Global`"], 
   Cell[
    StyleData["Output"], CellContext -> "Global`"]}, Visible -> False, 
  FrontEndVersion -> 
  "11.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (September 21, 2016)", 
  StyleDefinitions -> "Default.nb"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "PrimaryExamplesSection"->{
  Cell[6150, 189, 388, 15, 70, "PrimaryExamplesSection",
   CellTags->"PrimaryExamplesSection",
   CellID->1832660910]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"PrimaryExamplesSection", 17695, 603}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[587, 21, 3700, 90, 70, "AnchorBarGrid",
 CellID->1],
Cell[4290, 113, 292, 11, 70, "ObjectNameGrid"],
Cell[CellGroupData[{
Cell[4607, 128, 379, 11, 70, "Usage",
 CellID->982511436],
Cell[CellGroupData[{
Cell[5011, 143, 739, 24, 70, "NotesSection",
 CellGroupingRules->{"SectionGrouping", 50},
 CellID->1036349440],
Cell[5753, 169, 31, 0, 70, "SectionHeaderSpacer"],
Cell[5787, 171, 148, 4, 70, "Notes",
 CellID->1067943069],
Cell[5938, 177, 129, 4, 70, "Notes",
 CellID->726785537],
Cell[6070, 183, 31, 0, 70, "SectionFooterSpacer"]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[6150, 189, 388, 15, 70, "PrimaryExamplesSection",
 CellTags->"PrimaryExamplesSection",
 CellID->1832660910],
Cell[CellGroupData[{
Cell[6563, 208, 195, 6, 70, "ExampleSection",
 CellID->173965449],
Cell[6761, 216, 95, 1, 70, "Notes",
 CellID->2930854],
Cell[6859, 219, 102, 3, 70, "Input",
 CellID->789093595],
Cell[CellGroupData[{
Cell[6986, 226, 84, 2, 70, "Input",
 CellID->478580459],
Cell[7073, 230, 167, 5, 70, "Output",
 CellID->591425211]
}, Open  ]],
Cell[7255, 238, 185, 4, 70, "Notes",
 CellID->453409939],
Cell[CellGroupData[{
Cell[7465, 246, 112, 3, 70, "Input",
 CellID->229670942],
Cell[7580, 251, 4793, 153, 70, "Output",
 CellID->231348154]
}, Open  ]],
Cell[CellGroupData[{
Cell[12410, 409, 151, 5, 70, "Input",
 CellID->37047187],
Cell[12564, 416, 272, 9, 70, "Output",
 CellID->111720868]
}, Open  ]],
Cell[12851, 428, 131, 4, 70, "Notes",
 CellID->76099760],
Cell[12985, 434, 141, 4, 70, "Input",
 CellID->453913324],
Cell[CellGroupData[{
Cell[13151, 442, 152, 5, 70, "Input",
 CellID->370364024],
Cell[13306, 449, 306, 9, 70, "Output",
 CellID->148554050]
}, Open  ]],
Cell[13627, 461, 142, 4, 70, "Input",
 CellID->107243046],
Cell[CellGroupData[{
Cell[13794, 469, 151, 5, 70, "Input",
 CellID->60215506],
Cell[13948, 476, 299, 9, 70, "Output",
 CellID->156619483]
}, Open  ]]
}, Open  ]],
Cell[14274, 489, 31, 0, 70, "SectionFooterSpacer"]
}, Open  ]],
Cell[CellGroupData[{
Cell[14342, 494, 270, 12, 70, "SeeAlsoSection",
 CellID->1255426704],
Cell[14615, 508, 542, 16, 70, "SeeAlso",
 CellID->21912]
}, Open  ]],
Cell[CellGroupData[{
Cell[15194, 529, 276, 12, 70, "MoreAboutSection",
 CellID->38303248],
Cell[15473, 543, 31, 0, 70, "SectionHeaderSpacer"],
Cell[15507, 545, 202, 6, 70, "MoreAbout",
 CellID->1112057776]
}, Open  ]],
Cell[15724, 554, 23, 0, 70, "FooterCell"]
}
]
*)

(* End of internal cache information *)
