(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 11.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     14224,        489]
NotebookOptionsPosition[     10813,        386]
NotebookOutlinePosition[     12624,        434]
CellTagsIndexPosition[     12539,        429]
WindowTitle->CGS
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[GridBox[{
   {Cell["AUTOMATIC UNITS PACKAGE SYMBOL", "PacletNameCell"], Cell[TextData[{
     Cell[BoxData[
      ActionMenuBox[
       FrameBox[
        InterpretationBox[Cell[TextData[{
          "Tutorials",
          StyleBox[" \[FilledDownTriangle]", "AnchorBarArrow",
           StripOnInput->False]
         }]],
         TextCell[
          Row[{"Tutorials", 
            Style[" \[FilledDownTriangle]", "AnchorBarArrow"]}]]],
        StripOnInput->False], {"\<\"Working With Units\"\>":>
       Documentation`HelpLookup[
       "paclet:AutomaticUnits/tutorial/WorkingWithUnits"]},
       Appearance->None,
       MenuAppearance->Automatic,
       MenuStyle->"Tutorials"]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox[
        InterpretationBox[Cell[TextData[{
          "See Also",
          StyleBox[" \[FilledDownTriangle]", "AnchorBarArrow",
           StripOnInput->False]
         }]],
         TextCell[
          Row[{"See Also", 
            Style[" \[FilledDownTriangle]", "AnchorBarArrow"]}]]],
        StripOnInput->False], {"\<\"Convert\"\>":>Documentation`HelpLookup[
       "paclet:AutomaticUnits/ref/Convert"], "\<\"MKS\"\>":>
       Documentation`HelpLookup[
       "paclet:AutomaticUnits/ref/MKS"], "\<\"SI\"\>":>
       Documentation`HelpLookup["paclet:AutomaticUnits/ref/SI"]},
       Appearance->None,
       MenuAppearance->Automatic,
       MenuStyle->"SeeAlso"]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox[
        InterpretationBox[Cell[TextData[{
          "Related Guides",
          StyleBox[" \[FilledDownTriangle]", "AnchorBarArrow",
           StripOnInput->False]
         }]],
         TextCell[
          Row[{"Related Guides", 
            Style[" \[FilledDownTriangle]", "AnchorBarArrow"]}]]],
        StripOnInput->False], {"\<\"Automatic unit conversion\"\>":>
       Documentation`HelpLookup["paclet:AutomaticUnits/guide/AutomaticUnits"]},
       Appearance->None,
       MenuAppearance->Automatic,
       MenuStyle->"MoreAbout"]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox[
        InterpretationBox[Cell[TextData[{
          "URL",
          StyleBox[" \[FilledDownTriangle]", "AnchorBarArrow",
           StripOnInput->False]
         }]],
         TextCell[
          Row[{"URL", 
            Style[" \[FilledDownTriangle]", "AnchorBarArrow"]}]]],
        StripOnInput->False], {"\<\"AutomaticUnits/ref/CGS\"\>":>
       None, "\<\"Copy Wolfram Documentation Center URL\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell["AutomaticUnits/ref/CGS"]}, Visible -> False]]; 
        SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; Null], 
       Delimiter, "\<\"Copy web URL\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell[
              BoxData[
               MakeBoxes[
                Hyperlink[
                "http://reference.wolfram.com/language/AutomaticUnits/ref/CGS.\
html"], StandardForm]], "Input", TextClipboardType -> "PlainText"]}, Visible -> 
            False]]; SelectionMove[
         DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; 
        Null], "\<\"Go to web URL\"\>":>FrontEndExecute[{
         NotebookLocate[{
           URL[
            StringJoin[
             If[
              TrueQ[DocumentationBuild`Make`Private`wsmlinkQ$3282], 
              "http://reference.wolfram.com/system-modeler/", 
              "http://reference.wolfram.com/language/"], 
             "AutomaticUnits/ref/CGS", ".html"]], None}]}]},
       Appearance->None,
       MenuAppearance->Automatic,
       MenuStyle->"URLMenu"]],
      LineSpacing->{1.4, 0}]
    }], "AnchorBar"]}
  }]], "AnchorBarGrid",
 CellID->1],

Cell[TextData[{
 Cell["CGS", "ObjectName"],
 Cell[BoxData[
  InterpretationBox[
   StyleBox[
    GraphicsBox[{},
     BaselinePosition->Baseline,
     ImageSize->{8, 0}],
    CacheGraphics->False],
   Spacer[8]]]],
 Cell[BoxData[""], "ObjectNameTranslation"]
}], "ObjectNameGrid"],

Cell[CellGroupData[{

Cell[BoxData[GridBox[{
   {"", Cell[TextData[{
     Cell[BoxData[
      RowBox[{"CGS", "[", 
       StyleBox["expr", "TI"], "]"}]], "InlineFormula"],
     " \[LineSeparator]converts ",
     Cell[BoxData[
      StyleBox["expr", "TI"]], "InlineFormula"],
     " to CGS units (centimeter/gram/second)."
    }]]}
  }]], "Usage",
 GridBoxOptions->{
 GridBoxBackground->{
  "Columns" -> {{None}}, "ColumnsIndexed" -> {}, "Rows" -> {{None}}, 
   "RowsIndexed" -> {}}},
 CellID->22374],

Cell[CellGroupData[{

Cell[TextData[Cell[BoxData[
 ButtonBox[Cell[TextData[{
   Cell[BoxData[
    InterpretationBox[
     StyleBox[
      GraphicsBox[{},
       BaselinePosition->Baseline,
       ImageSize->{6, 0}],
      CacheGraphics->False],
     Spacer[6]]]],
   "Details"
  }], "NotesFrameText"],
  Appearance->{Automatic, None},
  BaseStyle->None,
  ButtonFunction:>(FrontEndExecute[{
     FrontEnd`SelectionMove[
      FrontEnd`SelectedNotebook[], All, ButtonCell], 
     FrontEndToken["OpenCloseGroup"], 
     FrontEnd`SelectionMove[
      FrontEnd`SelectedNotebook[], After, CellContents]}]& ),
  Evaluator->None,
  Method->"Preemptive"]]]], "NotesSection",
 WholeCellGroupOpener->True,
 CellGroupingRules->{"SectionGrouping", 50},
 CellID->219269609],

Cell["", "SectionHeaderSpacer"],

Cell[TextData[{
 "To use ",
 Cell[BoxData["CGS"], "InlineFormula"],
 ", you first need to load the ",
 ButtonBox["Units Package",
  BaseStyle->"Link",
  ButtonData->"paclet:Units/guide/UnitsPackage"],
 " using ",
 Cell[BoxData[
  RowBox[{"Needs", "[", "\"\<AutomaticUnits`\>\"", "]"}]], "InlineFormula"],
 "."
}], "Notes",
 CellID->908115343],

Cell[TextData[{
 " ",
 Cell[BoxData[
  RowBox[{"CGS", "[", "expr", "]"}]], "InlineFormula"],
 " is equivalent to ",
 Cell[BoxData[
  RowBox[{"Convert", "[", 
   RowBox[{"expr", ",", "\"\<CGS\>\""}], "]"}]], "InlineFormula"],
 "."
}], "Notes",
 CellID->224740433],

Cell["", "SectionFooterSpacer"]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  InterpretationBox[
   StyleBox[
    GraphicsBox[{},
     BaselinePosition->Baseline,
     ImageSize->{6, 0}],
    CacheGraphics->False],
   Spacer[6]]]],
 "Examples",
 "\[NonBreakingSpace]\[NonBreakingSpace]",
 Cell["(1)", "ExampleCount"]
}], "PrimaryExamplesSection",
 WholeCellGroupOpener->True,
 CellTags->"PrimaryExamplesSection",
 CellID->182380211],

Cell[CellGroupData[{

Cell[TextData[{
 "Basic Examples",
 "\[NonBreakingSpace]\[NonBreakingSpace]",
 Cell["(1)", "ExampleCount"]
}], "ExampleSection", "ExampleSection",
 WholeCellGroupOpener->True,
 CellID->805042008],

Cell[BoxData[
 RowBox[{"<<", "AutomaticUnits`"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->317855434],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"CGS", "[", 
  RowBox[{"34.2", " ", "Mile"}], "]"}]], "Input",
 CellLabel->"In[2]:=",
 CellID->179292659],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"5.50395648`*^6", " ", "Centimeter"}],
  Units`Unit[5.50395648*^6, "Centimeter"]]], "Output",
 ImageSize->{160, 17},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[2]=",
 CellID->179694840]
}, Open  ]]
}, Open  ]],

Cell["", "SectionFooterSpacer"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  InterpretationBox[
   StyleBox[
    GraphicsBox[{},
     BaselinePosition->Baseline,
     ImageSize->{6, 0}],
    CacheGraphics->False],
   Spacer[6]]]],
 "See Also"
}], "SeeAlsoSection",
 WholeCellGroupOpener->True,
 CellID->27664],

Cell[TextData[{
 Cell[BoxData[
  TemplateBox[{Cell[
     TextData["Convert"]],"paclet:AutomaticUnits/ref/Convert"},
   "RefLink",
   BaseStyle->{"InlineFormula", FontFamily -> "Verdana"}]], "InlineFormula"],
 "\[NonBreakingSpace]",
 StyleBox["\[MediumSpace]\[FilledVerySmallSquare]\[MediumSpace]", 
  "InlineSeparator"],
 " ",
 Cell[BoxData[
  TemplateBox[{Cell[
     TextData["MKS"]],"paclet:AutomaticUnits/ref/MKS"},
   "RefLink",
   BaseStyle->{"InlineFormula", FontFamily -> "Verdana"}]], "InlineFormula"],
 "\[NonBreakingSpace]",
 StyleBox["\[MediumSpace]\[FilledVerySmallSquare]\[MediumSpace]", 
  "InlineSeparator"],
 " ",
 Cell[BoxData[
  TemplateBox[{Cell[
     TextData["SI"]],"paclet:AutomaticUnits/ref/SI"},
   "RefLink",
   BaseStyle->{"InlineFormula", FontFamily -> "Verdana"}]], "InlineFormula"]
}], "SeeAlso",
 CellID->6364]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  InterpretationBox[
   StyleBox[
    GraphicsBox[{},
     BaselinePosition->Baseline,
     ImageSize->{6, 0}],
    CacheGraphics->False],
   Spacer[6]]]],
 "Tutorials"
}], "TutorialsSection",
 WholeCellGroupOpener->True,
 CellID->20772],

Cell["", "SectionHeaderSpacer"],

Cell[BoxData[
 TemplateBox[{Cell[
    TextData["Working With Units"]],
   "paclet:AutomaticUnits/tutorial/WorkingWithUnits"},
  "RefLink",
  BaseStyle->"Tutorials"]], "Tutorials",
 CellID->26053],

Cell["", "SectionFooterSpacer"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  InterpretationBox[
   StyleBox[
    GraphicsBox[{},
     BaselinePosition->Baseline,
     ImageSize->{6, 0}],
    CacheGraphics->False],
   Spacer[6]]]],
 "Related Guides"
}], "MoreAboutSection",
 WholeCellGroupOpener->True,
 CellID->1205981598],

Cell["", "SectionHeaderSpacer"],

Cell[BoxData[
 TemplateBox[{Cell[
    TextData["Automatic unit conversion"]],
   "paclet:AutomaticUnits/guide/AutomaticUnits"},
  "RefLink",
  BaseStyle->"MoreAbout"]], "MoreAbout",
 CellID->1194052356]
}, Open  ]],

Cell[" ", "FooterCell"]
},
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{725, 750},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
WindowTitle->"CGS",
TaggingRules->{
 "ModificationHighlight" -> False, "ColorType" -> "SymbolColor", "LinkTrails" -> 
  GridBox[{{
      RowBox[{
        ButtonBox[
        "Automatic unit conversion", ButtonData -> 
         "paclet:AutomaticUnits/guide/AutomaticUnits", 
         BaseStyle -> {"Link", "DockedLinkTrail"}]}]}}, ColumnAlignments -> 
    Left], "HasOptions" -> False, "ExampleCounter" -> 1, "NeedPlatMsgIn" -> 
  None, "RootCaptions" -> "", 
  "Metadata" -> {
   "built" -> "{2017, 1, 30, 12, 0, 16.151916}", 
    "history" -> {"?", "", "", ""}, "context" -> "AutomaticUnits`", 
    "keywords" -> {"Centimeter Gram Seconds"}, "specialkeywords" -> {}, 
    "tutorialcollectionlinks" -> {}, "index" -> True, "label" -> 
    "Automatic Units Package Symbol", "language" -> "en", "paclet" -> 
    "AutomaticUnits Package", "status" -> "None", "summary" -> 
    "CGS[expr] converts expr to CGS units (centimeter/gram/second).", 
    "synonyms" -> {}, "tabletags" -> {}, "title" -> "CGS", "titlemodifier" -> 
    "", "windowtitle" -> "CGS", "type" -> "Symbol", "uri" -> 
    "AutomaticUnits/ref/CGS"}, "SearchTextTranslated" -> ""},
FrontEndVersion->"11.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (September \
21, 2016)",
StyleDefinitions->FrontEnd`FileName[{"Wolfram"}, "Reference.nb", 
  CharacterEncoding -> "UTF-8"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "PrimaryExamplesSection"->{
  Cell[7307, 229, 387, 15, 70, "PrimaryExamplesSection",
   CellTags->"PrimaryExamplesSection",
   CellID->182380211]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"PrimaryExamplesSection", 12396, 422}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[575, 21, 4457, 112, 70, "AnchorBarGrid",
 CellID->1],
Cell[5035, 135, 280, 11, 70, "ObjectNameGrid"],
Cell[CellGroupData[{
Cell[5340, 150, 477, 15, 70, "Usage",
 CellID->22374],
Cell[CellGroupData[{
Cell[5842, 169, 738, 24, 70, "NotesSection",
 CellGroupingRules->{"SectionGrouping", 50},
 CellID->219269609],
Cell[6583, 195, 31, 0, 70, "SectionHeaderSpacer"],
Cell[6617, 197, 342, 12, 70, "Notes",
 CellID->908115343],
Cell[6962, 211, 262, 10, 70, "Notes",
 CellID->224740433],
Cell[7227, 223, 31, 0, 70, "SectionFooterSpacer"]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[7307, 229, 387, 15, 70, "PrimaryExamplesSection",
 CellTags->"PrimaryExamplesSection",
 CellID->182380211],
Cell[CellGroupData[{
Cell[7719, 248, 195, 6, 70, "ExampleSection",
 CellID->805042008],
Cell[7917, 256, 102, 3, 70, "Input",
 CellID->317855434],
Cell[CellGroupData[{
Cell[8044, 263, 128, 4, 70, "Input",
 CellID->179292659],
Cell[8175, 269, 268, 8, 70, "Output",
 CellID->179694840]
}, Open  ]]
}, Open  ]],
Cell[8470, 281, 31, 0, 70, "SectionFooterSpacer"]
}, Open  ]],
Cell[CellGroupData[{
Cell[8538, 286, 265, 12, 70, "SeeAlsoSection",
 CellID->27664],
Cell[8806, 300, 840, 25, 70, "SeeAlso",
 CellID->6364]
}, Open  ]],
Cell[CellGroupData[{
Cell[9683, 330, 268, 12, 70, "TutorialsSection",
 CellID->20772],
Cell[9954, 344, 31, 0, 70, "SectionHeaderSpacer"],
Cell[9988, 346, 195, 6, 70, "Tutorials",
 CellID->26053],
Cell[10186, 354, 31, 0, 70, "SectionFooterSpacer"]
}, Open  ]],
Cell[CellGroupData[{
Cell[10254, 359, 278, 12, 70, "MoreAboutSection",
 CellID->1205981598],
Cell[10535, 373, 31, 0, 70, "SectionHeaderSpacer"],
Cell[10569, 375, 202, 6, 70, "MoreAbout",
 CellID->1194052356]
}, Open  ]],
Cell[10786, 384, 23, 0, 70, "FooterCell"]
}
]
*)

(* End of internal cache information *)
