(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 11.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     15542,        538]
NotebookOptionsPosition[     11718,        422]
NotebookOutlinePosition[     13616,        471]
CellTagsIndexPosition[     13531,        466]
WindowTitle->ConvertTemperature
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[GridBox[{
   {Cell["AUTOMATIC UNITS PACKAGE SYMBOL", "PacletNameCell"], Cell[TextData[{
     Cell[BoxData[
      ActionMenuBox[
       FrameBox[
        InterpretationBox[Cell[TextData[{
          "Tutorials",
          StyleBox[" \[FilledDownTriangle]", "AnchorBarArrow",
           StripOnInput->False]
         }]],
         TextCell[
          Row[{"Tutorials", 
            Style[" \[FilledDownTriangle]", "AnchorBarArrow"]}]]],
        StripOnInput->False], {"\<\"Working With Units\"\>":>
       Documentation`HelpLookup[
       "paclet:AutomaticUnits/tutorial/WorkingWithUnits"]},
       Appearance->None,
       MenuAppearance->Automatic,
       MenuStyle->"Tutorials"]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox[
        InterpretationBox[Cell[TextData[{
          "Related Guides",
          StyleBox[" \[FilledDownTriangle]", "AnchorBarArrow",
           StripOnInput->False]
         }]],
         TextCell[
          Row[{"Related Guides", 
            Style[" \[FilledDownTriangle]", "AnchorBarArrow"]}]]],
        StripOnInput->False], {"\<\"Automatic unit conversion\"\>":>
       Documentation`HelpLookup["paclet:AutomaticUnits/guide/AutomaticUnits"]},
       Appearance->None,
       MenuAppearance->Automatic,
       MenuStyle->"MoreAbout"]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox[
        InterpretationBox[Cell[TextData[{
          "URL",
          StyleBox[" \[FilledDownTriangle]", "AnchorBarArrow",
           StripOnInput->False]
         }]],
         TextCell[
          Row[{"URL", 
            Style[" \[FilledDownTriangle]", "AnchorBarArrow"]}]]],
        StripOnInput->
         False], {"\<\"AutomaticUnits/ref/ConvertTemperature\"\>":>
       None, "\<\"Copy Wolfram Documentation Center URL\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell["AutomaticUnits/ref/ConvertTemperature"]}, Visible -> 
            False]]; SelectionMove[
         DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; Null], 
       Delimiter, "\<\"Copy web URL\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell[
              BoxData[
               MakeBoxes[
                Hyperlink[
                "http://reference.wolfram.com/language/AutomaticUnits/ref/\
ConvertTemperature.html"], StandardForm]], "Input", TextClipboardType -> 
              "PlainText"]}, Visible -> False]]; 
        SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; 
        Null], "\<\"Go to web URL\"\>":>FrontEndExecute[{
         NotebookLocate[{
           URL[
            StringJoin[
             If[
              TrueQ[DocumentationBuild`Make`Private`wsmlinkQ$4393], 
              "http://reference.wolfram.com/system-modeler/", 
              "http://reference.wolfram.com/language/"], 
             "AutomaticUnits/ref/ConvertTemperature", ".html"]], None}]}]},
       Appearance->None,
       MenuAppearance->Automatic,
       MenuStyle->"URLMenu"]],
      LineSpacing->{1.4, 0}]
    }], "AnchorBar"]}
  }]], "AnchorBarGrid",
 CellID->1],

Cell[TextData[{
 Cell["ConvertTemperature", "ObjectName"],
 Cell[BoxData[
  InterpretationBox[
   StyleBox[
    GraphicsBox[{},
     BaselinePosition->Baseline,
     ImageSize->{8, 0}],
    CacheGraphics->False],
   Spacer[8]]]],
 Cell[BoxData[""], "ObjectNameTranslation"]
}], "ObjectNameGrid"],

Cell[CellGroupData[{

Cell[BoxData[GridBox[{
   {"", Cell[TextData[{
     Cell[BoxData[
      RowBox[{"ConvertTemperature", "[", 
       RowBox[{
        StyleBox["oldunit", "TI"], ",", 
        StyleBox["newunit", "TI"]}], "]"}]], "InlineFormula"],
     " \[LineSeparator]converts temperature from ",
     Cell[BoxData[
      StyleBox["oldunit", "TI"]], "InlineFormula"],
     " to ",
     Cell[BoxData[
      StyleBox["newunit", "TI"]], "InlineFormula"],
     " respecting non-absolute zeros."
    }]]}
  }]], "Usage",
 GridBoxOptions->{
 GridBoxBackground->{
  "Columns" -> {{None}}, "ColumnsIndexed" -> {}, "Rows" -> {{None}}, 
   "RowsIndexed" -> {}}},
 CellID->22981],

Cell[CellGroupData[{

Cell[TextData[Cell[BoxData[
 ButtonBox[Cell[TextData[{
   Cell[BoxData[
    InterpretationBox[
     StyleBox[
      GraphicsBox[{},
       BaselinePosition->Baseline,
       ImageSize->{6, 0}],
      CacheGraphics->False],
     Spacer[6]]]],
   "Details"
  }], "NotesFrameText"],
  Appearance->{Automatic, None},
  BaseStyle->None,
  ButtonFunction:>(FrontEndExecute[{
     FrontEnd`SelectionMove[
      FrontEnd`SelectedNotebook[], All, ButtonCell], 
     FrontEndToken["OpenCloseGroup"], 
     FrontEnd`SelectionMove[
      FrontEnd`SelectedNotebook[], After, CellContents]}]& ),
  Evaluator->None,
  Method->"Preemptive"]]]], "NotesSection",
 WholeCellGroupOpener->True,
 CellGroupingRules->{"SectionGrouping", 50},
 CellID->67886255],

Cell["", "SectionHeaderSpacer"],

Cell[TextData[{
 "To use ",
 Cell[BoxData["ConvertTemperature"], "InlineFormula"],
 ", you first need to load the ",
 ButtonBox["Units Package",
  BaseStyle->"Link",
  ButtonData->"paclet:Units/guide/UnitsPackage"],
 " using ",
 Cell[BoxData[
  RowBox[{"Needs", "[", "\"\<Units`\>\"", "]"}]], "InlineFormula"],
 "."
}], "Notes",
 CellID->380863996],

Cell[TextData[{
 "The following values for temperature scales ",
 Cell[BoxData[
  StyleBox["oldscale", "TI"]], "InlineFormula"],
 " and ",
 Cell[BoxData[
  StyleBox["newscale", "TI"]], "InlineFormula"],
 " can be used:"
}], "Notes",
 CellID->11740],

Cell["Celsius, Fahrenheit, Rankine, Centigrade, Kelvin.", "Notes",
 CellID->42711110],

Cell["\<\
The conversion of temperature units is different from most other unit \
conversions, because it is not multiplicative when not used as part of a \
compound unit. This is because the zeros of various systems are set at \
different values.\
\>", "Notes",
 CellID->17177],

Cell[TextData[{
 "For example, while a temperature gradient of 0 ",
 Cell[BoxData[
  TemplateBox[{Cell[
     TextData["Centigrade"]],"paclet:Units/ref/Centigrade"},
   "RefLink",
   BaseStyle->{"InlineFormula"}]], "InlineFormula"],
 "/Meter is the same as 0 ",
 Cell[BoxData[
  TemplateBox[{Cell[
     TextData["Fahrenheit"]],"paclet:Units/ref/Fahrenheit"},
   "RefLink",
   BaseStyle->{"InlineFormula"}]], "InlineFormula"],
 "/Meter the actual temperature 0 ",
 Cell[BoxData[
  TemplateBox[{Cell[
     TextData["Centigrade"]],"paclet:Units/ref/Centigrade"},
   "RefLink",
   BaseStyle->{"InlineFormula"}]], "InlineFormula"],
 " is the same as ",
 Cell[BoxData["32"], "InlineFormula"],
 "  ",
 Cell[BoxData[
  TemplateBox[{Cell[
     TextData["Fahrenheit"]],"paclet:Units/ref/Fahrenheit"},
   "RefLink",
   BaseStyle->{"InlineFormula"}]], "InlineFormula"],
 ". "
}], "Notes",
 CellID->29825],

Cell[TextData[{
 Cell[BoxData[
  TemplateBox[{Cell[
     TextData["Convert"]],"paclet:Units/ref/Convert"},
   "RefLink",
   BaseStyle->{"InlineFormula"}]], "InlineFormula"],
 " only converts the units of temperature. Instead use ",
 Cell[BoxData["ConvertTemperature"], "InlineFormula"],
 " to convert the actual temperatures taking into account absolute zero."
}], "Notes",
 CellID->14944],

Cell["", "SectionFooterSpacer"]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  InterpretationBox[
   StyleBox[
    GraphicsBox[{},
     BaselinePosition->Baseline,
     ImageSize->{6, 0}],
    CacheGraphics->False],
   Spacer[6]]]],
 "Examples",
 "\[NonBreakingSpace]\[NonBreakingSpace]",
 Cell["(1)", "ExampleCount"]
}], "PrimaryExamplesSection",
 WholeCellGroupOpener->True,
 CellTags->"PrimaryExamplesSection",
 CellID->650471228],

Cell[CellGroupData[{

Cell[TextData[{
 "Basic Examples",
 "\[NonBreakingSpace]\[NonBreakingSpace]",
 Cell["(1)", "ExampleCount"]
}], "ExampleSection", "ExampleSection",
 WholeCellGroupOpener->True,
 CellID->1778165766],

Cell["\<\
Find the equivalent temperature in Fahrenheit to zero Centigrade\
\>", "Notes",
 CellID->82400425],

Cell[BoxData[
 RowBox[{"<<", "AutomaticUnits`"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->23075406],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ConvertTemperature", "[", 
  RowBox[{
   RowBox[{"0", " ", "Centigrade"}], ",", " ", "Fahrenheit"}], "]"}]], "Input",\

 CellLabel->"In[2]:=",
 CellID->37765605],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"32", " ", "Fahrenheit"}],
  AutomaticUnits`Unit[32, "Fahrenheit"],
  AutoDelete->True]], "Output",
 ImageSize->{93, 16},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[2]=",
 CellID->69743982]
}, Open  ]],

Cell["\<\
Find the equivalent temperature gradient in Fahrenheit to 1 degree Centigrade \
per Meter\
\>", "Notes",
 CellID->50823556],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Convert", "[", 
  RowBox[{
   RowBox[{"1", " ", 
    RowBox[{"Centigrade", "/", "Meter"}]}], ",", 
   RowBox[{"Fahrenheit", "/", "Meter"}]}], "]"}]], "Input",
 CellLabel->"In[3]:=",
 CellID->15831217],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   FractionBox["9", "5"], " ", 
   RowBox[{"Fahrenheit", 
    SuperscriptBox["Meter", 
     RowBox[{"-", "1"}]]}]}],
  AutomaticUnits`Unit[
   Rational[9, 5], "Fahrenheit"/"Meter"],
  AutoDelete->True]], "Output",
 ImageSize->{141, 28},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[3]=",
 CellID->453145493]
}, Open  ]]
}, Open  ]],

Cell["", "SectionFooterSpacer"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  InterpretationBox[
   StyleBox[
    GraphicsBox[{},
     BaselinePosition->Baseline,
     ImageSize->{6, 0}],
    CacheGraphics->False],
   Spacer[6]]]],
 "Tutorials"
}], "TutorialsSection",
 WholeCellGroupOpener->True,
 CellID->31662],

Cell["", "SectionHeaderSpacer"],

Cell[BoxData[
 TemplateBox[{Cell[
    TextData["Working With Units"]],
   "paclet:AutomaticUnits/tutorial/WorkingWithUnits"},
  "RefLink",
  BaseStyle->"Tutorials"]], "Tutorials",
 CellID->23409],

Cell["", "SectionFooterSpacer"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  InterpretationBox[
   StyleBox[
    GraphicsBox[{},
     BaselinePosition->Baseline,
     ImageSize->{6, 0}],
    CacheGraphics->False],
   Spacer[6]]]],
 "Related Guides"
}], "MoreAboutSection",
 WholeCellGroupOpener->True,
 CellID->614109478],

Cell["", "SectionHeaderSpacer"],

Cell[BoxData[
 TemplateBox[{Cell[
    TextData["Automatic unit conversion"]],
   "paclet:AutomaticUnits/guide/AutomaticUnits"},
  "RefLink",
  BaseStyle->"MoreAbout"]], "MoreAbout",
 CellID->1249597510]
}, Open  ]],

Cell[" ", "FooterCell"]
},
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{725, 750},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
WindowTitle->"ConvertTemperature",
TaggingRules->{
 "ModificationHighlight" -> False, "ColorType" -> "SymbolColor", "LinkTrails" -> 
  GridBox[{{
      RowBox[{
        ButtonBox[
        "Automatic unit conversion", ButtonData -> 
         "paclet:AutomaticUnits/guide/AutomaticUnits", 
         BaseStyle -> {"Link", "DockedLinkTrail"}]}]}}, ColumnAlignments -> 
    Left], "HasOptions" -> False, "ExampleCounter" -> 1, "NeedPlatMsgIn" -> 
  None, "RootCaptions" -> "", 
  "Metadata" -> {
   "built" -> "{2017, 1, 30, 12, 0, 18.975368}", 
    "history" -> {"?", "", "", ""}, "context" -> "AutomaticUnits`", 
    "keywords" -> {}, "specialkeywords" -> {}, 
    "tutorialcollectionlinks" -> {}, "index" -> True, "label" -> 
    "Automatic Units Package Symbol", "language" -> "en", "paclet" -> 
    "AutomaticUnits Package", "status" -> "None", "summary" -> 
    "ConvertTemperature[oldunit, newunit] converts temperature from oldunit \
to newunit respecting non-absolute zeros.", "synonyms" -> {}, 
    "tabletags" -> {}, "title" -> "ConvertTemperature", "titlemodifier" -> "",
     "windowtitle" -> "ConvertTemperature", "type" -> "Symbol", "uri" -> 
    "AutomaticUnits/ref/ConvertTemperature"}, "SearchTextTranslated" -> ""},
FrontEndVersion->"11.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (September \
21, 2016)",
StyleDefinitions->FrontEnd`FileName[{"Wolfram"}, "Reference.nb", 
  CharacterEncoding -> "UTF-8"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "PrimaryExamplesSection"->{
  Cell[8397, 267, 387, 15, 70, "PrimaryExamplesSection",
   CellTags->"PrimaryExamplesSection",
   CellID->650471228]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"PrimaryExamplesSection", 13388, 459}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[590, 21, 3697, 92, 70, "AnchorBarGrid",
 CellID->1],
Cell[4290, 115, 295, 11, 70, "ObjectNameGrid"],
Cell[CellGroupData[{
Cell[4610, 130, 651, 20, 70, "Usage",
 CellID->22981],
Cell[CellGroupData[{
Cell[5286, 154, 737, 24, 70, "NotesSection",
 CellGroupingRules->{"SectionGrouping", 50},
 CellID->67886255],
Cell[6026, 180, 31, 0, 70, "SectionHeaderSpacer"],
Cell[6060, 182, 348, 12, 70, "Notes",
 CellID->380863996],
Cell[6411, 196, 248, 9, 70, "Notes",
 CellID->11740],
Cell[6662, 207, 85, 1, 70, "Notes",
 CellID->42711110],
Cell[6750, 210, 278, 6, 70, "Notes",
 CellID->17177],
Cell[7031, 218, 891, 29, 70, "Notes",
 CellID->29825],
Cell[7925, 249, 389, 10, 70, "Notes",
 CellID->14944],
Cell[8317, 261, 31, 0, 70, "SectionFooterSpacer"]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[8397, 267, 387, 15, 70, "PrimaryExamplesSection",
 CellTags->"PrimaryExamplesSection",
 CellID->650471228],
Cell[CellGroupData[{
Cell[8809, 286, 196, 6, 70, "ExampleSection",
 CellID->1778165766],
Cell[9008, 294, 108, 3, 70, "Notes",
 CellID->82400425],
Cell[9119, 299, 101, 3, 70, "Input",
 CellID->23075406],
Cell[CellGroupData[{
Cell[9245, 306, 185, 6, 70, "Input",
 CellID->37765605],
Cell[9433, 314, 272, 9, 70, "Output",
 CellID->69743982]
}, Open  ]],
Cell[9720, 326, 133, 4, 70, "Notes",
 CellID->50823556],
Cell[CellGroupData[{
Cell[9878, 334, 224, 7, 70, "Input",
 CellID->15831217],
Cell[10105, 343, 389, 14, 70, "Output",
 CellID->453145493]
}, Open  ]]
}, Open  ]],
Cell[10521, 361, 31, 0, 70, "SectionFooterSpacer"]
}, Open  ]],
Cell[CellGroupData[{
Cell[10589, 366, 268, 12, 70, "TutorialsSection",
 CellID->31662],
Cell[10860, 380, 31, 0, 70, "SectionHeaderSpacer"],
Cell[10894, 382, 195, 6, 70, "Tutorials",
 CellID->23409],
Cell[11092, 390, 31, 0, 70, "SectionFooterSpacer"]
}, Open  ]],
Cell[CellGroupData[{
Cell[11160, 395, 277, 12, 70, "MoreAboutSection",
 CellID->614109478],
Cell[11440, 409, 31, 0, 70, "SectionHeaderSpacer"],
Cell[11474, 411, 202, 6, 70, "MoreAbout",
 CellID->1249597510]
}, Open  ]],
Cell[11691, 420, 23, 0, 70, "FooterCell"]
}
]
*)

(* End of internal cache information *)
