(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 11.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     14700,        507]
NotebookOptionsPosition[     11187,        400]
NotebookOutlinePosition[     12989,        448]
CellTagsIndexPosition[     12904,        443]
WindowTitle->SI
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[GridBox[{
   {Cell["AUTOMATIC UNITS PACKAGE SYMBOL", "PacletNameCell"], Cell[TextData[{
     Cell[BoxData[
      ActionMenuBox[
       FrameBox[
        InterpretationBox[Cell[TextData[{
          "Tutorials",
          StyleBox[" \[FilledDownTriangle]", "AnchorBarArrow",
           StripOnInput->False]
         }]],
         TextCell[
          Row[{"Tutorials", 
            Style[" \[FilledDownTriangle]", "AnchorBarArrow"]}]]],
        StripOnInput->False], {"\<\"Working with units\"\>":>
       Documentation`HelpLookup[
       "paclet:AutomaticUnits/tutorial/WorkingWithUnits"]},
       Appearance->None,
       MenuAppearance->Automatic,
       MenuStyle->"Tutorials"]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox[
        InterpretationBox[Cell[TextData[{
          "See Also",
          StyleBox[" \[FilledDownTriangle]", "AnchorBarArrow",
           StripOnInput->False]
         }]],
         TextCell[
          Row[{"See Also", 
            Style[" \[FilledDownTriangle]", "AnchorBarArrow"]}]]],
        StripOnInput->False], {"\<\"Convert\"\>":>Documentation`HelpLookup[
       "paclet:AutomaticUnits/ref/Convert"], "\<\"MKS\"\>":>
       Documentation`HelpLookup[
       "paclet:AutomaticUnits/ref/MKS"], "\<\"CGS\"\>":>
       Documentation`HelpLookup["paclet:AutomaticUnits/ref/CGS"]},
       Appearance->None,
       MenuAppearance->Automatic,
       MenuStyle->"SeeAlso"]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox[
        InterpretationBox[Cell[TextData[{
          "Related Guides",
          StyleBox[" \[FilledDownTriangle]", "AnchorBarArrow",
           StripOnInput->False]
         }]],
         TextCell[
          Row[{"Related Guides", 
            Style[" \[FilledDownTriangle]", "AnchorBarArrow"]}]]],
        StripOnInput->False], {"\<\"Automatic unit conversion\"\>":>
       Documentation`HelpLookup[
       "paclet:AutomaticUnits/guide/AutomaticUnits"], "\<\"Units Package\"\>":>
       Documentation`HelpLookup["paclet:AutomaticUnits/guide/UnitsPackage"]},
       Appearance->None,
       MenuAppearance->Automatic,
       MenuStyle->"MoreAbout"]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox[
        InterpretationBox[Cell[TextData[{
          "URL",
          StyleBox[" \[FilledDownTriangle]", "AnchorBarArrow",
           StripOnInput->False]
         }]],
         TextCell[
          Row[{"URL", 
            Style[" \[FilledDownTriangle]", "AnchorBarArrow"]}]]],
        StripOnInput->False], {"\<\"AutomaticUnits/ref/SI\"\>":>
       None, "\<\"Copy Wolfram Documentation Center URL\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell["AutomaticUnits/ref/SI"]}, Visible -> False]]; 
        SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; Null], 
       Delimiter, "\<\"Copy web URL\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell[
              BoxData[
               MakeBoxes[
                Hyperlink[
                "http://reference.wolfram.com/language/AutomaticUnits/ref/SI.\
html"], StandardForm]], "Input", TextClipboardType -> "PlainText"]}, Visible -> 
            False]]; SelectionMove[
         DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; 
        Null], "\<\"Go to web URL\"\>":>FrontEndExecute[{
         NotebookLocate[{
           URL[
            StringJoin[
             If[
              TrueQ[DocumentationBuild`Make`Private`wsmlinkQ$6583], 
              "http://reference.wolfram.com/system-modeler/", 
              "http://reference.wolfram.com/language/"], 
             "AutomaticUnits/ref/SI", ".html"]], None}]}]},
       Appearance->None,
       MenuAppearance->Automatic,
       MenuStyle->"URLMenu"]],
      LineSpacing->{1.4, 0}]
    }], "AnchorBar"]}
  }]], "AnchorBarGrid",
 CellID->1],

Cell[TextData[{
 Cell["SI", "ObjectName"],
 Cell[BoxData[
  InterpretationBox[
   StyleBox[
    GraphicsBox[{},
     BaselinePosition->Baseline,
     ImageSize->{8, 0}],
    CacheGraphics->False],
   Spacer[8]]]],
 Cell[BoxData[""], "ObjectNameTranslation"]
}], "ObjectNameGrid"],

Cell[CellGroupData[{

Cell[BoxData[GridBox[{
   {"", Cell[TextData[{
     Cell[BoxData[
      RowBox[{"SI", "[", 
       StyleBox["expr", "TI"], "]"}]], "InlineFormula"],
     " \[LineSeparator]converts ",
     Cell[BoxData[
      StyleBox["expr", "TI"]], "InlineFormula"],
     " to SI units (",
     "International System",
     ")."
    }]]}
  }]], "Usage",
 GridBoxOptions->{
 GridBoxBackground->{
  "Columns" -> {{None}}, "ColumnsIndexed" -> {}, "Rows" -> {{None}}, 
   "RowsIndexed" -> {}}},
 CellID->24088],

Cell[CellGroupData[{

Cell[TextData[Cell[BoxData[
 ButtonBox[Cell[TextData[{
   Cell[BoxData[
    InterpretationBox[
     StyleBox[
      GraphicsBox[{},
       BaselinePosition->Baseline,
       ImageSize->{6, 0}],
      CacheGraphics->False],
     Spacer[6]]]],
   "Details"
  }], "NotesFrameText"],
  Appearance->{Automatic, None},
  BaseStyle->None,
  ButtonFunction:>(FrontEndExecute[{
     FrontEnd`SelectionMove[
      FrontEnd`SelectedNotebook[], All, ButtonCell], 
     FrontEndToken["OpenCloseGroup"], 
     FrontEnd`SelectionMove[
      FrontEnd`SelectedNotebook[], After, CellContents]}]& ),
  Evaluator->None,
  Method->"Preemptive"]]]], "NotesSection",
 WholeCellGroupOpener->True,
 CellGroupingRules->{"SectionGrouping", 50},
 CellID->406625115],

Cell["", "SectionHeaderSpacer"],

Cell[TextData[{
 "To use ",
 Cell[BoxData["SI"], "InlineFormula"],
 ", you first need to load the ",
 ButtonBox["Units Package",
  BaseStyle->"Link",
  ButtonData->"paclet:AutomaticUnits/guide/UnitsPackage"],
 " using ",
 Cell[BoxData[
  RowBox[{"Needs", "[", "\"\<AutomaticUnits`\>\"", "]"}]], "InlineFormula"],
 "."
}], "Notes",
 CellID->305211677],

Cell[TextData[{
 " ",
 Cell[BoxData[
  RowBox[{"SI", "[", "expr", "]"}]], "InlineFormula"],
 " is equivalent to ",
 Cell[BoxData[
  RowBox[{"Convert", "[", 
   RowBox[{"expr", ",", "\"\<SI\>\""}], "]"}]], "InlineFormula"],
 "."
}], "Notes",
 CellID->224740433],

Cell["SI units are the International System of units.", "Notes",
 CellID->12613],

Cell["", "SectionFooterSpacer"]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  InterpretationBox[
   StyleBox[
    GraphicsBox[{},
     BaselinePosition->Baseline,
     ImageSize->{6, 0}],
    CacheGraphics->False],
   Spacer[6]]]],
 "Examples",
 "\[NonBreakingSpace]\[NonBreakingSpace]",
 Cell["(1)", "ExampleCount"]
}], "PrimaryExamplesSection",
 WholeCellGroupOpener->True,
 CellTags->"PrimaryExamplesSection",
 CellID->855343051],

Cell[CellGroupData[{

Cell[TextData[{
 "Basic Examples",
 "\[NonBreakingSpace]\[NonBreakingSpace]",
 Cell["(1)", "ExampleCount"]
}], "ExampleSection", "ExampleSection",
 WholeCellGroupOpener->True,
 CellID->495125139],

Cell[BoxData[
 RowBox[{"<<", "AutomaticUnits`"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->64525],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"SI", "[", 
  RowBox[{"34.3", " ", "Mile"}], "]"}]], "Input",
 CellLabel->"In[2]:=",
 CellID->732092191],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"55200.4992`", " ", "Meter"}],
  Units`Unit[55200.4992, "Meter"]]], "Output",
 ImageSize->{96, 16},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[2]=",
 CellID->21663563]
}, Open  ]]
}, Open  ]],

Cell["", "SectionFooterSpacer"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  InterpretationBox[
   StyleBox[
    GraphicsBox[{},
     BaselinePosition->Baseline,
     ImageSize->{6, 0}],
    CacheGraphics->False],
   Spacer[6]]]],
 "See Also"
}], "SeeAlsoSection",
 WholeCellGroupOpener->True,
 CellID->5742],

Cell[TextData[{
 Cell[BoxData[
  TemplateBox[{Cell[
     TextData["Convert"]],"paclet:AutomaticUnits/ref/Convert"},
   "RefLink",
   BaseStyle->{"InlineFormula", FontFamily -> "Verdana"}]], "InlineFormula"],
 "\[NonBreakingSpace]",
 StyleBox["\[MediumSpace]\[FilledVerySmallSquare]\[MediumSpace]", 
  "InlineSeparator"],
 " ",
 Cell[BoxData[
  TemplateBox[{Cell[
     TextData["MKS"]],"paclet:AutomaticUnits/ref/MKS"},
   "RefLink",
   BaseStyle->{"InlineFormula", FontFamily -> "Verdana"}]], "InlineFormula"],
 "\[NonBreakingSpace]",
 StyleBox["\[MediumSpace]\[FilledVerySmallSquare]\[MediumSpace]", 
  "InlineSeparator"],
 " ",
 Cell[BoxData[
  TemplateBox[{Cell[
     TextData["CGS"]],"paclet:AutomaticUnits/ref/CGS"},
   "RefLink",
   BaseStyle->{"InlineFormula", FontFamily -> "Verdana"}]], "InlineFormula"]
}], "SeeAlso",
 CellID->21912]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  InterpretationBox[
   StyleBox[
    GraphicsBox[{},
     BaselinePosition->Baseline,
     ImageSize->{6, 0}],
    CacheGraphics->False],
   Spacer[6]]]],
 "Tutorials"
}], "TutorialsSection",
 WholeCellGroupOpener->True,
 CellID->17907],

Cell["", "SectionHeaderSpacer"],

Cell[BoxData[
 TemplateBox[{Cell[
    TextData["Working with units"]],
   "paclet:AutomaticUnits/tutorial/WorkingWithUnits"},
  "RefLink",
  BaseStyle->"Tutorials"]], "Tutorials",
 CellID->20986],

Cell["", "SectionFooterSpacer"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  InterpretationBox[
   StyleBox[
    GraphicsBox[{},
     BaselinePosition->Baseline,
     ImageSize->{6, 0}],
    CacheGraphics->False],
   Spacer[6]]]],
 "Related Guides"
}], "MoreAboutSection",
 WholeCellGroupOpener->True,
 CellID->1519414642],

Cell["", "SectionHeaderSpacer"],

Cell[BoxData[
 TemplateBox[{Cell[
    TextData["Automatic unit conversion"]],
   "paclet:AutomaticUnits/guide/AutomaticUnits"},
  "RefLink",
  BaseStyle->"MoreAbout"]], "MoreAbout",
 CellID->69079048],

Cell[BoxData[
 TemplateBox[{Cell[
    TextData["Units Package"]],"paclet:AutomaticUnits/guide/UnitsPackage"},
  "RefLink",
  BaseStyle->"MoreAbout"]], "MoreAbout",
 CellID->1370390356]
}, Open  ]],

Cell[" ", "FooterCell"]
},
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{725, 750},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
WindowTitle->"SI",
TaggingRules->{
 "ModificationHighlight" -> False, "ColorType" -> "SymbolColor", "LinkTrails" -> 
  GridBox[{{
      RowBox[{
        ButtonBox[
        "Automatic unit conversion", ButtonData -> 
         "paclet:AutomaticUnits/guide/AutomaticUnits", 
         BaseStyle -> {"Link", "DockedLinkTrail"}]}]}}, ColumnAlignments -> 
    Left], "HasOptions" -> False, "ExampleCounter" -> 1, "NeedPlatMsgIn" -> 
  None, "RootCaptions" -> "", 
  "Metadata" -> {
   "built" -> "{2017, 1, 30, 12, 0, 24.059249}", 
    "history" -> {"?", "", "", ""}, "context" -> "AutomaticUnits`", 
    "keywords" -> {}, "specialkeywords" -> {}, 
    "tutorialcollectionlinks" -> {}, "index" -> True, "label" -> 
    "Automatic Units Package Symbol", "language" -> "en", "paclet" -> 
    "AutomaticUnits Package", "status" -> "None", "summary" -> 
    "SI[expr] converts expr to SI units (International System).", 
    "synonyms" -> {"standard international"}, "tabletags" -> {}, "title" -> 
    "SI", "titlemodifier" -> "", "windowtitle" -> "SI", "type" -> "Symbol", 
    "uri" -> "AutomaticUnits/ref/SI"}, "SearchTextTranslated" -> ""},
FrontEndVersion->"11.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (September \
21, 2016)",
StyleDefinitions->FrontEnd`FileName[{"Wolfram"}, "Reference.nb", 
  CharacterEncoding -> "UTF-8"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "PrimaryExamplesSection"->{
  Cell[7517, 236, 387, 15, 70, "PrimaryExamplesSection",
   CellTags->"PrimaryExamplesSection",
   CellID->855343051]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"PrimaryExamplesSection", 12761, 436}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[574, 21, 4566, 114, 70, "AnchorBarGrid",
 CellID->1],
Cell[5143, 137, 279, 11, 70, "ObjectNameGrid"],
Cell[CellGroupData[{
Cell[5447, 152, 491, 17, 70, "Usage",
 CellID->24088],
Cell[CellGroupData[{
Cell[5963, 173, 738, 24, 70, "NotesSection",
 CellGroupingRules->{"SectionGrouping", 50},
 CellID->406625115],
Cell[6704, 199, 31, 0, 70, "SectionHeaderSpacer"],
Cell[6738, 201, 350, 12, 70, "Notes",
 CellID->305211677],
Cell[7091, 215, 260, 10, 70, "Notes",
 CellID->224740433],
Cell[7354, 227, 80, 1, 70, "Notes",
 CellID->12613],
Cell[7437, 230, 31, 0, 70, "SectionFooterSpacer"]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[7517, 236, 387, 15, 70, "PrimaryExamplesSection",
 CellTags->"PrimaryExamplesSection",
 CellID->855343051],
Cell[CellGroupData[{
Cell[7929, 255, 195, 6, 70, "ExampleSection",
 CellID->495125139],
Cell[8127, 263, 98, 3, 70, "Input",
 CellID->64525],
Cell[CellGroupData[{
Cell[8250, 270, 127, 4, 70, "Input",
 CellID->732092191],
Cell[8380, 276, 250, 8, 70, "Output",
 CellID->21663563]
}, Open  ]]
}, Open  ]],
Cell[8657, 288, 31, 0, 70, "SectionFooterSpacer"]
}, Open  ]],
Cell[CellGroupData[{
Cell[8725, 293, 264, 12, 70, "SeeAlsoSection",
 CellID->5742],
Cell[8992, 307, 843, 25, 70, "SeeAlso",
 CellID->21912]
}, Open  ]],
Cell[CellGroupData[{
Cell[9872, 337, 268, 12, 70, "TutorialsSection",
 CellID->17907],
Cell[10143, 351, 31, 0, 70, "SectionHeaderSpacer"],
Cell[10177, 353, 195, 6, 70, "Tutorials",
 CellID->20986],
Cell[10375, 361, 31, 0, 70, "SectionFooterSpacer"]
}, Open  ]],
Cell[CellGroupData[{
Cell[10443, 366, 278, 12, 70, "MoreAboutSection",
 CellID->1519414642],
Cell[10724, 380, 31, 0, 70, "SectionHeaderSpacer"],
Cell[10758, 382, 200, 6, 70, "MoreAbout",
 CellID->69079048],
Cell[10961, 390, 184, 5, 70, "MoreAbout",
 CellID->1370390356]
}, Open  ]],
Cell[11160, 398, 23, 0, 70, "FooterCell"]
}
]
*)

(* End of internal cache information *)
